Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMTransform

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGTransform
          org.apache.batik.dom.svg.SVGOMTransform

All Implemented Interfaces:
  org.w3c.dom.svg.SVGTransform

    public class SVGOMTransform

extends AbstractSVGTransform

This class is the implementation of the SVGTransform interface.

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGTransform
`affineTransform, angle, type, x, y`

Fields inherited from interface org.w3c.dom.svg.SVGTransform
`SVG_TRANSFORM_MATRIX, SVG_TRANSFORM_ROTATE, SVG_TRANSFORM_SCALE, SVG_TRANSFORM_SKEWX, SVG_TRANSFORM_SKEWY, SVG_TRANSFORM_TRANSLATE, SVG_TRANSFORM_UNKNOWN`

Constructor Summary
`SVGOMTransform()` Creates a new SVGOMTransform.

Method Summary
`protected org.w3c.dom.svg.SVGMatrix` | `createMatrix()` Creates a new, modifiable SVGMatrix.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGTransform
`assign, getAngle, getMatrix, getType, getX, getY, setMatrix, setRotate, setScale, setSkewX, setSkewY, setTranslate, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMTransform

    public SVGOMTransform()

  Creates a new SVGOMTransform.

Method Detail

### createMatrix

    protected org.w3c.dom.svg.SVGMatrix createMatrix()

  Creates a new, modifiable SVGMatrix.

  Specified by:
    `createMatrix` in class `AbstractSVGTransform`
  Returns:
    SVGMatrix representing the transformation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.